package counter;

import javax.ejb.Stateful;
import javax.annotation.*; 

/**
 * Session Bean implementation class Counter
 */
@Stateful(mappedName = "ejb/Counter")
public class Counter implements CounterRemote {
	
	/* valore del contatore - si tratta di un contatore di sessione */ 
	private int val; 

    /** Default constructor. */
    public Counter() {
    }
    
    /* assegna un valore iniziale al contatore */ 
	@PostConstruct
	public void initialize() {
		this.val = 0; 
	}

	/* incrementa il contatore e restituisce il suo valore */ 
	public int count() {
		val++; 
		return val; 
	}
    

}
